Bug 189441 - [css-logical] Flow relative inset properties
Summary: [css-logical] Flow relative inset properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Oriol Brufau
URL:
Keywords: InRadar
Depends on: 188697 188711 193773
Blocks: 185977 216178
  Show dependency treegraph
 
Reported: 2018-09-07 16:16 PDT by Oriol Brufau
Modified: 2020-09-04 08:21 PDT (History)
8 users (show)

See Also:


Attachments
Patch (39.76 KB, patch)
2018-11-15 13:35 PST, Oriol Brufau
no flags Details | Formatted Diff | Diff
Patch (39.76 KB, patch)
2019-01-23 04:19 PST, Oriol Brufau
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews117 for mac-highsierra (1.98 MB, application/zip)
2019-01-23 06:12 PST, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oriol Brufau 2018-09-07 16:16:49 PDT
Spec: https://drafts.csswg.org/css-logical/#inset-properties

Implement
 * inset-{block,inline}-{start,end}
 * inset-{block,inline}
 * inset

They will be implemented behind a flag, like has happened in Blink.
Firefox has shipped the inset longhands.
Comment 1 Oriol Brufau 2018-11-15 13:35:52 PST
Created attachment 354980 [details]
Patch
Comment 2 WebKit Commit Bot 2018-11-16 11:58:49 PST
Comment on attachment 354980 [details]
Patch

Rejecting attachment 354980 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 354980, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=354980&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=189441&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 354980 from bug 189441.
Fetching: https://bugs.webkit.org/attachment.cgi?id=354980
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Dean Jackson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 13 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/css/CSSComputedStyleDeclaration.cpp
Hunk #2 succeeded at 3927 (offset -24 lines).
Hunk #3 succeeded at 4063 (offset -31 lines).
patching file Source/WebCore/css/CSSProperties.json
Hunk #1 succeeded at 2453 (offset -116 lines).
patching file Source/WebCore/css/CSSProperty.cpp
patching file Source/WebCore/css/StyleProperties.cpp
Hunk #1 succeeded at 201 with fuzz 1 (offset -16 lines).
Hunk #2 succeeded at 991 (offset -101 lines).
patching file Source/WebCore/css/parser/CSSParserFastPaths.cpp
patching file Source/WebCore/css/parser/CSSPropertyParser.cpp
Hunk #1 succeeded at 3984 (offset -8 lines).
Hunk #2 succeeded at 5722 with fuzz 2 (offset -17 lines).
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/imported/w3c/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/imported/w3c/web-platform-tests/css/css-logical/logical-box-inset-expected.txt
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/imported/w3c/web-platform-tests/css/css-logical/logical-box-inset-expected.txt.rej
patching file LayoutTests/imported/w3c/web-platform-tests/css/css-logical/logical-box-inset.html
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: LayoutTests/webexposed/css-properties-behind-flags-expected.txt
|index 237b1cea245bad66d582c8dd8c4e46481b69140c..3a367b934681c5eccb5a375b8f4bf66cd9cf7564 100644
|--- LayoutTests/webexposed/css-properties-behind-flags-expected.txt	(revision 0)
|+++ LayoutTests/webexposed/css-properties-behind-flags-expected.txt	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: LayoutTests/webexposed/css-properties-behind-flags.html
|index 77b1418b89611fe1d13d880aeae53014763c799b..cfe35b38396aa5b897bdb973c899ac7276655284 100644
|--- LayoutTests/webexposed/css-properties-behind-flags.html	(revision 0)
|+++ LayoutTests/webexposed/css-properties-behind-flags.html	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Dean Jackson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/10020979
Comment 3 Oriol Brufau 2018-11-16 12:16:44 PST
Sorry, should have removed the commit-queue flag since bug 188697 was reverted.
Comment 4 Manuel Rego Casasnovas 2019-01-23 01:10:16 PST
I guess this can be rebased now.
Comment 5 Oriol Brufau 2019-01-23 04:19:07 PST
Created attachment 359871 [details]
Patch
Comment 6 EWS Watchlist 2019-01-23 06:12:32 PST
Comment on attachment 359871 [details]
Patch

Attachment 359871 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10856585

New failing tests:
compositing/backing/animate-into-view.html
Comment 7 EWS Watchlist 2019-01-23 06:12:34 PST
Created attachment 359872 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 Manuel Rego Casasnovas 2019-01-23 06:39:24 PST
(In reply to Build Bot from comment #6)
> Comment on attachment 359871 [details]
> Patch
> 
> Attachment 359871 [details] did not pass mac-debug-ews (mac):
> Output: https://webkit-queues.webkit.org/results/10856585
> 
> New failing tests:
> compositing/backing/animate-into-view.html

This seems unrelated as it is failing since past Monday:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#tests=animate-into-view.html
Comment 9 WebKit Commit Bot 2019-01-23 07:04:56 PST
Comment on attachment 359871 [details]
Patch

Clearing flags on attachment: 359871

Committed r240334: <https://trac.webkit.org/changeset/240334>
Comment 10 WebKit Commit Bot 2019-01-23 07:04:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-01-23 07:05:30 PST
<rdar://problem/47480166>
Comment 12 Truitt Savell 2019-01-29 14:18:49 PST
The test webexposed/css-properties-behind-flags.html

added in https://trac.webkit.org/changeset/238244/webkit

is a flakey failure on Mac WK1.

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=webexposed%2Fcss-properties-behind-flags.html

Diff:
--- /Volumes/Data/slave/mojave-release-tests-wk1/build/layout-test-results/webexposed/css-properties-behind-flags-expected.txt
+++ /Volumes/Data/slave/mojave-release-tests-wk1/build/layout-test-results/webexposed/css-properties-behind-flags-actual.txt
@@ -7,13 +7,13 @@
 PASS border-inline-width is not exposed 
 PASS border-inline-style is not exposed 
 PASS border-inline-color is not exposed 
-PASS inset is not exposed 
-PASS inset-block is not exposed 
-PASS inset-block-start is not exposed 
-PASS inset-block-end is not exposed 
-PASS inset-inline is not exposed 
-PASS inset-inline-start is not exposed 
-PASS inset-inline-end is not exposed 
+FAIL inset is not exposed assert_false: inset not in style expected false got true
+FAIL inset-block is not exposed assert_false: inset-block not in style expected false got true
+FAIL inset-block-start is not exposed assert_false: inset-block-start not in style expected false got true
+FAIL inset-block-end is not exposed assert_false: inset-block-end not in style expected false got true
+FAIL inset-inline is not exposed assert_false: inset-inline not in style expected false got true
+FAIL inset-inline-start is not exposed assert_false: inset-inline-start not in style expected false got true
+FAIL inset-inline-end is not exposed assert_false: inset-inline-end not in style expected false got true
 PASS margin-block is not exposed 
 PASS margin-inline is not exposed 
 PASS padding-block is not exposed